<?xml version="1.0" encoding="ISO-8859-1"?>

<document>

  <properties>
    <title>Status</title>
    <author email="commons-httpclient-dev@jakarta.apache.org">Commons HttpClient Team</author>
    <revision>$Id: status.xml,v 1.20.2.6 2004/02/15 15:48:42 mbecke Exp $</revision>
  </properties>

  <body>

    <section name="Current Status">    	
        <p>The HttpClient development team is pleased to announce the final release of
        <em>HttpClient 2.0</em>. Much effort has gone into the 2.0 release and we are
        confident that it is ready for the Final 2.0 designation.</p>

	<p>From this point forward only bugs fixes will be added to the 2.0 branch.  Efforts 
		will now be focused on the next major HttpClient release.</p>

	<p>The next version of <em>HttpClient</em> is going to build upon the 
        foundation laid with <em>HttpClient 2.0</em>, while addressing those architectural 
        shortcomings and flaws identified in the course of 2.0 development. Several well known 
        and much complained about problems cannot be resolved while maintaining complete 2.0 API 
        compatibility. The primary objective of the next version is to fix those design limitations, 
        breaking 2.0 API compatibility where absolutely unavoidable, while preserving overall 
        compatibility with 2.0 use patterns.</p>

       <p>A number of enhancements have already been made to the post-2.0 codebase. We 
       	already have a new preference architecture in place that will help us provide a
        fine-grained control over HttpClient without polluting its API with too many options. We 
        have also completely reworked redirect/authentication/retry logic and can now support 
        cross-host redirects, a much complained about limitation of <em>HttpClient 2.0</em>.</p>

       <p>Depending upon how drastic those API changes are going to be, the next version of 
         HttpClient will be designated as <tt>2.1</tt>, <tt>2.5</tt> or <tt>3.0</tt>.
         The decision will be made prior to the 2.0 final release.</p>

	<p>It is important to note that HttpClient CVS HEAD is no longer fully compatible 
	 with 2.0 APIs. We strongly encourage using the <tt>HTTPCLIENT_2_0_BRANCH</tt>
         until the next version's APIs are stabilized.</p>
    </section>

    <section name="Release Info">
      <p>Current Release: <a href="http://jakarta.apache.org/builds/jakarta-commons/release/commons-httpclient/v2.0/">
          Release 2.0 Final</a></p>
    </section>

  </body>

</document>
